15 November 2016 Veröffentlichungen

Logstash 5.0.1 and 2.4.1 released

Von Suyog Rao

Today we are announcing 5.0.1 and 2.4.1 releases -- bug fix updates for 5.0.0 and 2.4.0 respectively. You can download it here or read the release notes for more details. For 2.4.1, you can find the release notes here.

Bug Fixes

Below we list some important bug fixes in 5.0.1:

  • Fixed a startup issue for users who installed from packages, but were unable to start Logstash by running bin/logstash because the settings file, logstash.yml, did not exist. Logstash no longer requires logstash.yml for startup, but running Logstash without the logstash.yml file is not ideal or recommended for production environments (Issue 6170).
  • Changed the behavior of how Logstash merges config strings when you start Logstash with the -e and -f options specified. Previously, Logstash required the config files specified by -f to be valid before merging. Logstash now reads the config specified by -e even if -f yields no config files (Issue 6164).
  • Beats Input: Fixed an issue where only the first certificate found in the CA chain was taken into consideration to verify clients (Issue 153).
  • Kafka Input: Fixed high CPU usage issue when reading from Kafka topics. Previously, the consumer thread was polling very frequently for new messages from the broker (Issue 91).
  • Elasticsearch Output: Fixed the log message that displayed password information when basic authentication was setup for this plugin. ESA-2016-08 has been filed for this and our security issues page has been updated with this information.